Package org.codehaus.groovy.runtime.memoize

# Class NullProtectionStorage

java.lang.Object
org.codehaus.groovy.runtime.memoize.NullProtectionStorage

public final class NullProtectionStorage extends Object
A NullObject pattern implementation for ProtectionStorage Doesn't protect any resources. Used when the user doesn't mind to eventually have the whole memoize cache emptied by gc.

Author:
  Vaclav Pech

## Constructor Summary

Constructors
Constructor
Description
`NullProtectionStorage()`

## Method Summary

Modifier and Type
Method
Description
`void`
`touch(Object key, Object value)`
Does nothing

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullProtectionStorage

public NullProtectionStorage()

## Method Details

### touch

public void touch(Object key, Object value)
Does nothing

Parameters:
  `key` - The key of the element to renew
  `value` - A value to newly associate with the key